package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.PapAlergi;
import com.jasamedika.medifirst2000.vo.PapAlergiVO;

/**
 * Converter class between PAPAlergi and PAPAlergiVO
 * 
 * @author Askur
 */
@Component
public class PapAlergiConverter implements BaseVoConverter<PapAlergiVO, PapAlergi> {
	

	public PapAlergi transferVOToModel(PapAlergiVO vo, PapAlergi model) {
		if (null == model)
			model = new PapAlergi();
		try {
			Map<String, Object> serialized =vo.ToMap();// vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, PapAlergi.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return model;

	}

	public List<PapAlergiVO> transferListOfModelToListOfVO(List<PapAlergi> models,
			List<PapAlergiVO> vos) {
		if (null == vos)
			vos = new ArrayList<PapAlergiVO>();

		if (null == models)
			return vos;

		for (PapAlergi alamat : models) {
			PapAlergiVO vo = new PapAlergiVO();
			vo = transferModelToVO(alamat, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public PapAlergiVO transferModelToVO(PapAlergi model, PapAlergiVO vo) {

		if (null == vo)
			vo = new PapAlergiVO();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, PapAlergiVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return vo;
	
	}

	
}
